package com.fjhx.customer.controller.xiaoman;

import org.springframework.web.bind.annotation.*;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.fjhx.customer.entity.xiaoman.vo.XiaomanCustomerInfoJsonVo;
import com.fjhx.customer.entity.xiaoman.dto.XiaomanCustomerInfoJsonSelectDto;
import com.fjhx.customer.entity.xiaoman.dto.XiaomanCustomerInfoJsonDto;
import com.ruoyi.common.core.domain.BaseSelectDto;
import com.fjhx.customer.service.xiaoman.XiaomanCustomerInfoJsonService;
import org.springframework.beans.factory.annotation.Autowired;


/**
 * <p>
 * 小满客户详情表 前端控制器
 * </p>
 *
 * @author lqh
 * @since 2024-04-06
 */
@RestController
@RequestMapping("/xiaomanCustomerInfoJson")
public class XiaomanCustomerInfoJsonController {

    @Autowired
    private XiaomanCustomerInfoJsonService xiaomanCustomerInfoJsonService;

    /**
     * 小满客户详情表分页
     */
    @PostMapping("/page")
    public Page<XiaomanCustomerInfoJsonVo> page(@RequestBody XiaomanCustomerInfoJsonSelectDto dto) {
        return xiaomanCustomerInfoJsonService.getPage(dto);
    }

    /**
     * 小满客户详情表明细
     */
    @PostMapping("/detail")
    public XiaomanCustomerInfoJsonVo detail(@RequestBody BaseSelectDto dto) {
        return xiaomanCustomerInfoJsonService.detail(dto.getId());
    }

    /**
     * 小满客户详情表新增
     */
    @PostMapping("/add")
    public void add(@RequestBody XiaomanCustomerInfoJsonDto xiaomanCustomerInfoJsonDto) {
        xiaomanCustomerInfoJsonService.add(xiaomanCustomerInfoJsonDto);
    }

    /**
     * 小满客户详情表编辑
     */
    @PostMapping("/edit")
    public void edit(@RequestBody XiaomanCustomerInfoJsonDto xiaomanCustomerInfoJsonDto) {
        xiaomanCustomerInfoJsonService.edit(xiaomanCustomerInfoJsonDto);
    }

    /**
     * 小满客户详情表删除
     */
    @PostMapping("/delete")
    public void delete(@RequestBody BaseSelectDto dto) {
        xiaomanCustomerInfoJsonService.delete(dto.getId());
    }

}
